# $Revision: 1.13 $, $Date: 2005/10/29 09:59:26 $
Summary:	MayaVi is easy to use scientific data visualizer
Summary(pl):	MayaVi to atwe w uyciu narzdzie do wizualizacji danych naukowych
Name:		MayaVi
Version:	1.4
Release:	1
License:	BSD
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/mayavi/%{name}-%{version}.tar.gz
# Source0-md5:	9bad679a49ad1e6c820d8d95622c40ed
URL:		http://mayavi.sourceforge.net/
BuildRequires:	python
BuildRequires:	python-devel
Requires:	python-tkinter
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MayaVi is a free, easy to use scientific data visualizer. It is
written in Python and uses the amazing Visualization Toolkit (VTK) for
the graphics. It provides a GUI written using Tkinter. MayaVi is free
and distributed under the GNU GPL. It is also cross platform.

%description -l pl
MayaVi to wolnodostpne, atwe w uyciu narzdzie do wizualizacji
danych naukowych. Jest napisane w Pythonie i uywa do grafiki VTK
(Visualization Toolkit). GUI napisane jest przy uyciu Tkinter.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root $RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/guide/*.html doc/CREDITS.txt doc/NEWS.txt doc/README.txt doc/TODO.txt
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/mayavi
%{py_sitescriptdir}/vtkPipeline

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: MayaVi.spec,v $
Revision 1.13  2005/10/29 09:59:26  blekot
- up to 1.4

Revision 1.12  2005/08/22 17:21:05  darekr
- fixed License field
- added %doc, missing BRs and R

Revision 1.11  2004/06/29 10:55:03  qboosh
- use proper py macros

Revision 1.10  2004/06/29 10:54:14  qboosh
- clean buildroot before install

Revision 1.9  2004/06/28 23:52:56  adamg
- build package in %build
- proper installing
- attr fix
- builds, doesn't work (I am not familiar with python - any takers?)

Revision 1.8  2004/06/28 23:34:58  adamg
- started update to 1.3
- maybe it will build one day

Revision 1.7  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.4  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/24 09:37:28  qboosh
- fixed Group, adapterized, cleanups
